using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Adaptation._Tests.Shared;

public class EAFLoggingUnitTesting : LoggingUnitTesting, IDisposable
{

    protected readonly AdaptationTesting _AdaptationTesting;

    public AdaptationTesting AdaptationTesting => _AdaptationTesting;

    public EAFLoggingUnitTesting(string dummyRoot, TestContext testContext, Type declaringType, bool skipEquipmentDictionary) :
        base(testContext, declaringType)
    {
        if (testContext is null || declaringType is null)
            _AdaptationTesting = null;
        else
            _AdaptationTesting = new AdaptationTesting(dummyRoot, testContext, skipEquipmentDictionary, _TestContextPropertiesAsJson, _HasWaitForProperty);
    }

    public new void Dispose()
    {
        base.Dispose();
        GC.SuppressFinalize(this);
    }

}